@echo off
set name=#EXE_PATH#
set shortname=#LINK_NAME#
set path=#LINK_DIR#

if not exist "%name%" (echo File is not exist!&pause&exit)
echo Set WshShell = WScript.CreateObject("WScript.Shell")>%temp%\tm.vbs
echo set osk = WshShell.CreateShortcut("%path%"^& "\%shortname%.lnk")>>%temp%\tm.vbs
echo osk.TargetPath = "%name%">>%temp%\tm.vbs
echo osk.WindowStyle = ^1>>%temp%\tm.vbs
echo osk.IconLocation = "%name%">>%temp%\tm.vbs
rem echo osk.IconLocation = "%SystemRoot%\system32\SHELL32.dll,2">>%temp%\tm.vbs
echo osk.Description = "#Shortcut#">>%temp%\tm.vbs
echo osk.Save>>%temp%\tm.vbs
start %temp%\tm.vbs